<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "cxp3030";
$bitMod = "cxp";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultarTipoa':
		echo consultarTipoa();
		break;

	case 'consultarTrela':
		echo consultarTrela();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarTipoa() {
	global $empCod;
	$txtCod=utf8_decode($_POST['txtCod']);

	# QUERYS
	$sTipoa = "SELECT ta.*, TRIM(ta.ta_nom) AS ta_nom,
				TRIM(ta.ta_trela) AS ta_trela,
				TRIM(tc.tc_nom) AS ta_trelanom
				FROM tipoabo as ta
				LEFT JOIN tipoc tc ON ta.ta_trela = tc.tc_cod
				WHERE ta_cod='$txtCod'";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sTipoa, "tipoabo");
	$db->close();

	$func = new functions();

	return $func->jsonEncodeArray($resp, "tipoabo");
}

function consultarTrela() {
	global $empCod;
	$txtTrela=utf8_decode($_POST['txtTrela']);

	# QUERYS
	$sTrela = "SELECT *, TRIM(tc_nom) AS tc_nom
				FROM tipoc WHERE tc_cod='$txtTrela'";
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sTrela, "tipoc");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "tipoc");
}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=utf8_decode($_POST['txtNom']);
	$txtTrela=utf8_decode($_POST['txtTrela']);
	$crAfe=$_POST['crAfe'];
	$crGenp=$_POST['crGenp'];
	$crOtros=$_POST['crOtros'];

	# QUERYS PARA UN REGISTRO
	$iTipoa = "INSERT INTO tipoabo(ta_cod, ta_nom, ta_trela, ta_afe, ta_partsn, ta_otros) VALUES ('$txtCod','$txtNom','$txtTrela','$crAfe','$crGenp','$crOtros')";

	$uTipoa = "UPDATE tipoabo SET ta_nom='$txtNom',ta_trela='$txtTrela',ta_afe='$crAfe',ta_partsn='$crGenp',ta_otros='$crOtros' WHERE ta_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iTipoa);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Tipoa Abono cxp, Codigo: $txtCod   txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uTipoa);
		$db->iEx($func->iBitacora(utf8_decode("Se modificó Tipo Abono cxp, Codigo: $txtCod   $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=$_POST['txtNom'];

	# QUERYS
	$dTipoa = "DELETE FROM tipoabo WHERE ta_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dTipoa);
	$db->iEx($func->iBitacora(utf8_decode("Se borró el Tipo de Abono CxP, Codigo: $txtCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>